# Wallet

## Query the currency information

{% hint style="info" %}
Please refer to the official Mexc API Docs for the Required parameters.

<https://mxcdevelop.github.io/apidocs/spot_v3_en/#query-the-currency-information>
{% endhint %}

#### Function Name:

```javascript
getCurrencyInformationSpot()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myMexcExchanges  = createExchange({
      exchange: "mexc",
      authenticate: "true",
      key: "myKey",
      secret: "mySecret",
      label: "mexc"
  });

async function getCurrencyInformationSpot(exchange, options) {
    try {
        let result = await exchange.getCurrencyInformationSpot(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getCurrencyInformationSpot(myMexcExchanges);
```

## Withdraw

{% hint style="info" %}
Please refer to the official Mexc API Docs for the Required parameters.

<https://mxcdevelop.github.io/apidocs/spot_v3_en/#withdraw>
{% endhint %}

#### Function Name:

```javascript
withdrawSpot()
```

#### Usage:

<pre class="language-javascript"><code class="lang-javascript">import { createExchange } from "./exchanges/exchange.js";

   let myMexcExchanges  = createExchange({
      exchange: "mexc",
      authenticate: "true",
      key: "myKey",
      secret: "mySecret",
      label: "mexc"
  });

async function withdrawSpot(exchange, options) {
    try {
        let result = await exchange.withdrawSpot(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

<strong>let result = await withdrawSpot(myMexcExchanges, 
</strong><strong>    {
</strong><strong>        coin: "EOS",
</strong><strong>        address: "zzqqqqqqqqqq",
</strong><strong>        amount: "10"
</strong><strong>    );
</strong><strong>
</strong></code></pre>

## Cancel withdraw

{% hint style="info" %}
Please refer to the official Mexc API Docs for the Required parameters.

<https://mxcdevelop.github.io/apidocs/spot_v3_en/#cancel-withdraw>
{% endhint %}

#### Function Name:

```javascript
cancelWithdrawSpot()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myMexcExchanges  = createExchange({
      exchange: "mexc",
      authenticate: "true",
      key: "myKey",
      secret: "mySecret",
      label: "mexc"
  });

async function cancelWithdrawSpot(exchange, options) {
    try {
        let result = await exchange.cancelWithdrawSpot(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}
let result = await cancelWithdrawSpot(myMexcExchanges, 
    {
        id: "ca7bd51895134fb5bd749f1cf875b8af"
    );

```

## Deposit History(supporting network)

{% hint style="info" %}
Please refer to the official Mexc API Docs for the Required parameters.

<https://mxcdevelop.github.io/apidocs/spot_v3_en/#deposit-history-supporting-network>
{% endhint %}

#### Function Name:

```javascript
getDepositHistorySpot()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myMexcExchanges  = createExchange({
      exchange: "mexc",
      authenticate: "true",
      key: "myKey",
      secret: "mySecret",
      label: "mexc"
  });

async function getDepositHistorySpot(exchange, options) {
    try {
        let result = await exchange.getDepositHistorySpot(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getDepositHistorySpot(myMexcExchanges);
```

## Withdraw History (supporting network)

{% hint style="info" %}
Please refer to the official Mexc API Docs for the Required parameters.

<https://mxcdevelop.github.io/apidocs/spot_v3_en/#withdraw-history-supporting-network>
{% endhint %}

#### Function Name:

```javascript
getWithdrawHistorySpot()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myMexcExchanges  = createExchange({
      exchange: "mexc",
      authenticate: "true",
      key: "myKey",
      secret: "mySecret",
      label: "mexc"
  });

async function getWithdrawHistorySpot(exchange, options) {
    try {
        let result = await exchange.getWithdrawHistorySpot(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getWithdrawHistorySpot(myMexcExchanges);
```

## Generate deposit address (supporting network)

{% hint style="info" %}
Please refer to the official Mexc API Docs for the Required parameters.

<https://mxcdevelop.github.io/apidocs/spot_v3_en/#generate-deposit-address-supporting-network>
{% endhint %}

#### Function Name:

```javascript
generateDepositAddressSpot()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myMexcExchanges  = createExchange({
      exchange: "mexc",
      authenticate: "true",
      key: "myKey",
      secret: "mySecret",
      label: "mexc"
  });

async function generateDepositAddressSpot(exchange, options) {
    try {
        let result = await exchange.generateDepositAddressSpot(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await generateDepositAddressSpot(myMexcExchanges,
         {
             coin: "USDT",
             network: "TRC20"
         });
```

## Deposit Address (supporting network)

{% hint style="info" %}
Please refer to the official Mexc API Docs for the Required parameters.

<https://mxcdevelop.github.io/apidocs/spot_v3_en/#deposit-address-supporting-network>
{% endhint %}

#### Function Name:

```javascript
getDepositAddressSpot()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myMexcExchanges  = createExchange({
      exchange: "mexc",
      authenticate: "true",
      key: "myKey",
      secret: "mySecret",
      label: "mexc"
  });

async function getDepositAddressSpot(exchange, options) {
    try {
        let result = await exchange.getDepositAddressSpot(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getDepositAddressSpot(myMexcExchanges,
         {
             coin: "USDT"
         });
```

## Withdraw Address (supporting network)

{% hint style="info" %}
Please refer to the official Mexc API Docs for the Required parameters.

<https://mxcdevelop.github.io/apidocs/spot_v3_en/#withdraw-address-supporting-network>
{% endhint %}

#### Function Name:

```javascript
getWithdrawAddressSpot()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myMexcExchanges  = createExchange({
      exchange: "mexc",
      authenticate: "true",
      key: "myKey",
      secret: "mySecret",
      label: "mexc"
  });

async function getWithdrawAddressSpot(exchange, options) {
    try {
        let result = await exchange.getWithdrawAddressSpot(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getWithdrawAddressSpot(myMexcExchanges);
```

## User Universal Transfer

{% hint style="info" %}
Please refer to the official Mexc API Docs for the Required parameters.

<https://mxcdevelop.github.io/apidocs/spot_v3_en/#user-universal-transfer>
{% endhint %}

#### Function Name:

```javascript
userUniversalTransferSpot()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myMexcExchanges  = createExchange({
      exchange: "mexc",
      authenticate: "true",
      key: "myKey",
      secret: "mySecret",
      label: "mexc"
  });

async function userUniversalTransferSpot(exchange, options) {
    try {
        let result = await exchange.userUniversalTransferSpot(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await userUniversalTransferSpot(myMexcExchanges,
         {
             fromAccountType: "SPOT",
             toAccountType: "FUTURES",
             asset: "USDT",
             amount: "10"
         });
```

## Query User Universal Transfer History

{% hint style="info" %}
Please refer to the official Mexc API Docs for the Required parameters.

<https://mxcdevelop.github.io/apidocs/spot_v3_en/#query-user-universal-transfer-history>
{% endhint %}

#### Function Name:

```javascript
getUniversalTransferHistorySpot()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myMexcExchanges  = createExchange({
      exchange: "mexc",
      authenticate: "true",
      key: "myKey",
      secret: "mySecret",
      label: "mexc"
  });

async function getUniversalTransferHistorySpot(exchange, options) {
    try {
        let result = await exchange.getUniversalTransferHistorySpot(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getUniversalTransferHistorySpot(myMexcExchanges,
         {
             toAccount: "mikwdn443ksnsadasd",
             fromAccountType: "SPOT",
             toAccountType: "SPOT"
         });
```

## Query User Universal Transfer History （by tranId）

{% hint style="info" %}
Please refer to the official Mexc API Docs for the Required parameters.

<https://mxcdevelop.github.io/apidocs/spot_v3_en/#query-user-universal-transfer-history-by-tranid>
{% endhint %}

#### Function Name:

```javascript
getUniversalTransferHistoryTranIdSpot()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myMexcExchanges  = createExchange({
      exchange: "mexc",
      authenticate: "true",
      key: "myKey",
      secret: "mySecret",
      label: "mexc"
  });

async function getUniversalTransferHistoryTranIdSpot(exchange, options) {
    try {
        let result = await exchange.getUniversalTransferHistoryTranIdSpot(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getUniversalTransferHistoryTranIdSpot(myMexcExchanges,
         {
             tranId: "fedfdd5d23f94582a117a67118323db9"
         });
```

## Get Assets That Can Be Converted Into MX

{% hint style="info" %}
Please refer to the official Mexc API Docs for the Required parameters.

<https://mxcdevelop.github.io/apidocs/spot_v3_en/#get-assets-that-can-be-converted-into-mx>
{% endhint %}

#### Function Name:

```javascript
getMxConvertableAssetsSpot()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myMexcExchanges  = createExchange({
      exchange: "mexc",
      authenticate: "true",
      key: "myKey",
      secret: "mySecret",
      label: "mexc"
  });

async function getMxConvertableAssetsSpot(exchange, options) {
    try {
        let result = await exchange.getMxConvertableAssetsSpot(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getMxConvertableAssetsSpot(myMexcExchanges);
```

## Dust Transfer

{% hint style="danger" %}
This function is currently under construction and may fail or give unexpected behavior
{% endhint %}

{% hint style="info" %}
Please refer to the official Mexc API Docs for the Required parameters.

<https://mxcdevelop.github.io/apidocs/spot_v3_en/#dust-transfer>
{% endhint %}

#### Function Name:

```javascript
dustTransferSpot()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myMexcExchanges  = createExchange({
      exchange: "mexc",
      authenticate: "true",
      key: "myKey",
      secret: "mySecret",
      label: "mexc"
  });

async function dustTransferSpot(exchange, options) {
    try {
        let result = await exchange.dustTransferSpot(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

```

## DustLog

{% hint style="danger" %}
This function is currently under construction and may fail or give unexpected behavior
{% endhint %}

{% hint style="info" %}
Please refer to the official Mexc API Docs for the Required parameters.

<https://mxcdevelop.github.io/apidocs/spot_v3_en/#dustlog>
{% endhint %}

#### Function Name:

```javascript
getDustLogSpot()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myMexcExchanges  = createExchange({
      exchange: "mexc",
      authenticate: "true",
      key: "myKey",
      secret: "mySecret",
      label: "mexc"
  });

async function getDustLogSpot(exchange, options) {
    try {
        let result = await exchange.getDustLogSpot(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getDustLogSpot(myMexcExchanges);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.compendium.finance/pendax/using-pendax-sdk/mexc-functions/wallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
